
<div class="container mb-5">
    <div class="row">
        <div class="mt-5 text-box notice d-flex bg-info bg-opacity-5 rounded border-info border border-dashed p-6">
            <!--begin::Icon-->
            <!--begin::Svg Icon | path: icons/duotune/general/gen044.svg-->
            <span class="svg-icon svg-icon-2tx svg-icon-info me-4">
                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                    <rect opacity="0.3" x="2" y="2" width="20" height="20" rx="10" fill="black"></rect>
                    <rect x="11" y="14" width="7" height="2" rx="1" transform="rotate(-90 11 14)" fill="black"></rect>
                    <rect x="11" y="17" width="2" height="2" rx="1" transform="rotate(-90 11 17)" fill="black"></rect>
                </svg>
            </span>
            <div class="d-flex flex-stack flex-grow-1">
                <div class="fw-bold">
                    <h4 class="text-gray-900 fw-bolder" i18n>Useful information</h4>
                    <div class="fs-6 text-gray-700" i18n>
                        In this page we report the list of domains you have visited during your browsing or contacted as data buyer. For each domain we report the corresponding Transparency Tag.
                    </div>
                    <div class="fs-6 mt-2 text-gray-700" i18n>
                        Transparency Tag provides information about the domain such as its owner, its purpose, the personal data it collects, etc. 
                    </div>
                    <div class="fs-6 mt-2 text-gray-700" i18n>
                        Apart from detailed information, a Transparency Tag summarizes information in Security and Privacy scores describing the potential security and privacy risks of corresponding domain. TT also describes how transparent the domain is for the user, i.e., whether crucial information for GDPR compliance such as data processing purposes, data controllers, contacts, etc. is publicly provided. 
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="card shadow-sm" *ngIf="showTables">
    <div class="card-header">
        <h3 class="card-title" i18n>Services with privacy metrics</h3>
        <div class="col-lg-4 d-flex flex-row mt-5">
            <label class="col-lg-2 col-form-label fw-bold fs-6" i18n>Search:</label>
            <div class="col-lg-6">
                <input type="text" [(ngModel)]="filter_text"
                    class="form-control form-control-lg" id="table_search_id" (keyup)="refreshTable()"></div>
          </div>
    </div>
    <div class="card-body">
        <table 
        id="TT_table_id" 
        *ngIf="receivedData.length > 0 " 
        class="table table-rounded table-striped border gy-7 gs-7"
        >
            <thead>
                <tr id="TT_table_header" class="fw-bold fs-6 text-gray-800 border-bottom border-gray-200">
                    <th style="width: 10%;" i18n>Domain</th>
                    <th i18n style="width: 10%;">Type</th>

                    <th style="width: 20%;" i18n>Company</th>
                    <th style="width: 20%;" i18n>Category</th>
                    <th style="width: 30%;">
                        <div class="row mr-5">
                            <div class="col-md-auto m-0 p-0" style="display: flex; justify-content: flex-end; flex-direction: column;" i18n>
                                Scores
                            </div>
    
                            <div class="col-lg-2 ps-5 ms-5">
                                <a placement="bottom" [ngbTooltip]="scores" class="btn btn-icon btn-light"><span class="svg-icon svg-icon-1"><svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <rect opacity="0.3" x="2" y="2" width="20" height="20" rx="10" fill="black"/>
                                    <path d="M11.276 13.654C11.276 13.2713 11.3367 12.9447 11.458 12.674C11.5887 12.394 11.738 12.1653 11.906 11.988C12.0833 11.8107 12.3167 11.61 12.606 11.386C12.942 11.1247 13.1893 10.896 13.348 10.7C13.5067 10.4947 13.586 10.2427 13.586 9.944C13.586 9.636 13.4833 9.356 13.278 9.104C13.082 8.84267 12.69 8.712 12.102 8.712C11.486 8.712 11.066 8.866 10.842 9.174C10.6273 9.482 10.52 9.82267 10.52 10.196L10.534 10.574H8.826C8.78867 10.3967 8.77 10.2333 8.77 10.084C8.77 9.552 8.90067 9.07133 9.162 8.642C9.42333 8.20333 9.81067 7.858 10.324 7.606C10.8467 7.354 11.4813 7.228 12.228 7.228C13.1987 7.228 13.9687 7.44733 14.538 7.886C15.1073 8.31533 15.392 8.92667 15.392 9.72C15.392 10.168 15.322 10.5507 15.182 10.868C15.042 11.1853 14.874 11.442 14.678 11.638C14.482 11.834 14.2253 12.0533 13.908 12.296C13.544 12.576 13.2733 12.8233 13.096 13.038C12.928 13.2527 12.844 13.528 12.844 13.864V14.326H11.276V13.654ZM11.192 15.222H12.928V17H11.192V15.222Z" fill="black"/>
                                    </svg>
                                    </span>
                                </a>
                            </div>
                        </div>
                    </th>
                    <th style="width: 10%;" i18n>Action</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let row of this.rows" >
                    <td><strong>{{row.domain |titlecase}}</strong></td>
                    <td>
                        <span *ngIf="row.type == 'Data buyer'" class="badge badge-dark">{{row.type}}</span>
                        <span *ngIf="row.type == 'Browsing'" class="badge badge-info">{{row.type}}</span>
                    </td>
                    <td>{{row.company |titlecase}}</td>
                    <td>
                        <span class="space_endline" *ngFor="let category of row.categories; let isLast=last">
                        {{category}}{{isLast ? '' : '\n'}}
                        </span>
                    </td>
                    <td>
                        <div class="row mb-7">
                            <div class="col-sm-4">
                                <div>Security</div>
                            </div>
                            <div class="col-sm-auto d-flex justify-content-start">
                                <div class="rating">
                                    <div *ngFor="let i of [].constructor(row.scores.security_score)" class="rating-label me-2 checked">
                                        <i class="bi bi-star fs-3"></i>
                                    </div>
                                    <div *ngFor="let i of [].constructor(5 - row.scores.security_score)" class="rating-label me-2">
                                        <i class="bi bi-star fs-3"></i>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <div class="row mb-7">
                            <div class="col-sm-4">
                                <div>Privacy</div>
                            </div>
                            <div class="col-sm-auto d-flex justify-content-start">
                                <div *ngFor="let i of [].constructor(row.scores.privacy_score)" class="rating-label me-2 checked">
                                    <i class="bi bi-star fs-3"></i>
                                </div>
                                <div *ngFor="let i of [].constructor(5 - row.scores.privacy_score)" class="rating-label me-2">
                                    <i class="bi bi-star fs-3"></i>
                                </div>
                            </div>
                        </div>

                        <div class="row mb-2">
                            <div class="col-sm-4">
                                <div>Transparency</div>
                            </div>
                            <div class="col-sm-auto d-flex justify-content-start">
                                <div class="rating">
                                    <div *ngFor="let i of [].constructor(row.scores.transparency_score)" class="rating-label me-2 checked">
                                        <i class="bi bi-star fs-3"></i>
                                    </div>
                                    <div *ngFor="let i of [].constructor(5 - row.scores.transparency_score)" class="rating-label me-2">
                                        <i class="bi bi-star fs-3"></i>
                                    </div>
                                </div>
                            </div>
                        </div>


                    </td>
                    <td>    
                        <a [routerLink]="['/transparency-tags', row.domain]"
                        class="btn btn-sm btn-primary"><i class="las la-eye fs-1 me-2"></i>{{this.view_trans}}</a>
                    </td>
                </tr>
            </tbody>
        </table>

        <div class="d-flex justify-content-between p-2">
            <ngb-pagination [collectionSize]="collectionSize" [(page)]="page" [pageSize]="pageSize" (pageChange)="refreshTable()">
            </ngb-pagination>
          
            <select class="form-select" style="width: auto" [(ngModel)]="pageSize" (ngModelChange)="refreshTable()">
              <option [ngValue]="5" i18n>5 items per page</option>
              <option [ngValue]="10" i18n>10 items per page</option>
              <option [ngValue]="20" i18n>20 items per page</option>
            </select>
        </div>
    </div>
</div>

<ng-template #scores>
    <div class="d-flex flex-column">
      <span i18n><strong>Security Score:</strong> describes how secure the service is based on the information we obtained.</span>
      <span i18n><strong>Privacy Score:</strong> describes how privacy-friendly the service is based on the information we obtained.</span>
      <span i18n><strong>Transparency Score:</strong> describes how transparent the service is in providing information to the users.</span>
    </div>
</ng-template>

<ngx-spinner></ngx-spinner>

